﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
}
<script>
    var documentName = ["id:id:string", "Date:Date:date:12%", "Produit:Produit:string:23%", "Ristourne:Ristourne:number:15%", "Cumuler:Cumuler:stringdrop:15%", "Utilisateur:Enregistrer Par:stringdrop:16%", "statut:Statut:stringdrop:16.6%"];
</script>
<input id="modUrl" value="/Ristourne_Client/modifier/" type="hidden" />
<input id="ajoutUrl" value="/Ristourne_Client/ajouter/@TempData["id"]" type="hidden" />
<input id="LoardUrl" value="/Ristourne_Client/ajax/@TempData["id"]" type="hidden" />
<input id="actifsupUrl" value="/Ristourne_Client/Activer_Suspendre/" type="hidden" />
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div class="boutons">
            <br />
            <button title="OK" type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i> OK</button>
            <button title="Annuler" type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div>
<span style="font-weight: bold"></span>
<div class="boutons text-left">
    <table>
        <tr>
            @if ((cmd.Contains("Ajouter_ristourne_client")))
            {
                <td>
                    <button title='Ajouter' id='ajout' class='btn btn-default oufbutton SansIdentifiant'><i class='ouf-add'></i>Ajouter</button>
                </td>
            }
            @if ((cmd.Contains("Modifier_ristourne_client")))
            {
                <td>
                    <button title='Modifier' id='mod' class='btn btn-default oufbutton AvecIdentifiant'><i class='ouf-edit'></i>Modifier</button>
                </td>
            }
            @if ((cmd.Contains("Activer_suspendre_ristourne_client")))
            {
                <td>
                    <button title='Actif/Susp' id='actifsup' class='btn btn-default oufbutton AvecIdentifiantSanspopup'><i class='ouf-switch'></i>Activer / Suspendre</button>
                </td>
            }
        </tr>
    </table>


</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if ((cmd.Contains("Modifier_ristourne_client")))
        {
            <li><i class='ouf-edit'></i>Modifier</li>
        }
        @if ((cmd.Contains("Activer_suspendre_ristourne_client")))
        {
            <li><i class="ouf-switch"></i>Actif/Susp</li>
        }
    </ul>
</div>
